Get details for a specific domain

Retrieve detailed information about a domain, including its registration and expiration dates, nameservers, and transfer eligibility status.

Domain Services Domains

Context

Used in the dashboard

/cart/webbhotell/[slug] /cart/en/webbhotell/[slug] /cart /cart/en

Query Parameters

domain string required · Example: example.com

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.available boolean required · Example: false
data.cached boolean required · Example: false
data.createdDate string · nullable required · Example: 2026-02-10T00:00:00.000Z

Nullable: may be null when not applicable.

data.daysUntilTransferEligible integer · nullable required · Example: 48

Nullable: may be null when not applicable.

data.domain string required · Example: example.com
data.expiryDate string · nullable required · Example: 2026-02-10T00:00:00.000Z

Nullable: may be null when not applicable.

data.lockReason string · nullable · enum required · Example: clientTransferProhibited

Nullable: may be null when not applicable.

clientTransferProhibited
pendingDelete
serverTransferProhibited
data.nameServers array<string> required · Example: ["example.com","example.com"]
data.registrar string · nullable required · Example: example.com, LLC

Nullable: may be null when not applicable.

data.success boolean required · Example: true

True for successful responses.

data.tooNewForTransfer boolean required · Example: true
data.transferEligibleDate string · nullable required · Example: 2026-02-10T00:00:00.000Z

Nullable: may be null when not applicable.

data.transferLocked boolean required · Example: true
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/domain-lookup
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/domain-lookup?domain=example.com" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "cached": false,
    "domain": "example.com",
    "registrar": "example.com, LLC",
    "expiryDate": "2026-02-10T00:00:00.000Z",
    "createdDate": "2026-02-10T00:00:00.000Z",
    "transferLocked": true,
    "lockReason": "clientTransferProhibited",
    "nameServers": [
      "example.com",
      "example.com"
    ],
    "available": false,
    "tooNewForTransfer": true,
    "transferEligibleDate": "2026-02-10T00:00:00.000Z",
    "daysUntilTransferEligible": 48
  }
}